export default class Party {
	public Id:number;
	public PartyRef:string;
	public Name:string;
	public CreatedByUserId:number;
	public CreatedDatetime:Date;
	public LastModifiedByUserId?:number;
	public LastModifiedDatetime?:Date;
	public DeletedByUserId?:number;
	public DeletedDatetime?:Date;
	public IsDeleted:boolean;

	public constructor() {
		this.Id = Number.MIN_VALUE;
		this.PartyRef = "";
		this.Name = "";
		this.CreatedByUserId = Number.MIN_VALUE;
		this.CreatedDatetime = new Date(0);
		this.IsDeleted = false;
	}
}